<?php
session_start();
//include_once('../config/Conexion');
include '../config/conexion.php';

if(isset($_POST['agregar'])){
	//Imagen de Foto

		$imgFile = $_FILES['foto']['name'];
		$tmp_dir = $_FILES['foto']['tmp_name'];
		$imgSize = $_FILES['foto']['size'];
		

			$upload_dir = '../public/img/usuarios/'; // upload directory
	
			$imgExt = strtolower(pathinfo($imgFile,PATHINFO_EXTENSION)); // get image extension
		
			// valid image extensions
			$valid_extensions = array('jpeg', 'jpg', 'png', 'gif'); // valid extensions
		
			// rename uploading image
			$userpic = rand(1000,20000000).".".$imgExt;
				
			// allow valid image file formats
			if(in_array($imgExt, $valid_extensions)){			
				// Check file size '1MB'
				if($imgSize < 20000000)				{
					move_uploaded_file($tmp_dir,$upload_dir.$userpic);
				}
				else{
					$errMSG = "Su archivo es muy grande.";
				}
			}
			else{
				$errMSG = "Solo archivos JPG, JPEG, PNG & GIF son permitidos.";		
			}
		
		

	$database = new Connection();
	$db = $database->open();
	try{
		//hacer uso de una declaración preparada para prevenir la inyección de sql
		$stmt = $db->prepare("INSERT INTO usuarios (nro_document,fullname,fecha_nacimiento,	fecha_ingreso,	direccion, foto,usuario,pass,rol,nro_contacto) 
		VALUES (:nro_document,:fullname,:fecha_nacimiento,:fecha_ingreso,:direccion, '$userpic',:usuario,:pass,:rol,:nro_contacto)");
		//instrucción if-else en la ejecución de nuestra declaración preparada
		$_SESSION['message'] = ( 
		$stmt->execute(array(
        ':nro_document' => $_POST['nro_document'] ,
		':fullname' => $_POST['fullname'] , 
        ':fecha_nacimiento' => $_POST['fecha_nacimiento'],
		':fecha_ingreso' => $_POST['fecha_ingreso'], 
        ':direccion' => $_POST['direccion'],
        ':usuario' => $_POST['usuario'],
        ':pass' =>  password_hash($_POST['new_password'], PASSWORD_DEFAULT),
        ':rol' => $_POST['rol'],
		':nro_contacto' => $_POST['nro_contacto']
        )	) ) ? 'Usuario registrado correctamente' : 'Algo salió mal. No se puede agregar miembro';	
	    
	}
	catch(PDOException $e){
		$_SESSION['message'] = $e->getMessage();
	}
	//cerrar la conexion
	$database->close();
}

else{
	$_SESSION['message'] = 'Llene el formulario';
}

header('location: ../views/usuario');
	
?>
